package com.ruoyi.project.training.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 人员-公司级培训关系对象 t_training_participants
 *
 * @author ruoyi
 * @date 2021-05-30
 */
public class TTrainingParticipants extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 人员员工号 */
    @Excel(name = "人员员工号")
    private String staffId;

    /** 公司级培训ID */
    @Excel(name = "公司级培训ID")
    private Long companyId;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startDate;

    /** 结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "结束日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    /** 理论成绩 */
    @Excel(name = "理论成绩")
    private Double score;

    /** 实际操作成绩 */
    @Excel(name = "实际操作成绩")
    private Double operationScore;

    /** 培训地点 */
    @Excel(name = "培训地点")
    private String trainingPlace;

    /** 培训时长 */
    @Excel(name = "培训时长")
    private String trainingDuration;

    /** 培训费用 */
    @Excel(name = "培训费用")
    private String trainingCost;

    /** 差旅费用 */
    @Excel(name = "差旅费用")
    private String budget;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 公司级培训课程名称 */
    private String companyItem;

    /** 课程代码 */
    @Excel(name = "课程代码")
    private String courseCode;

    /** 培训频率 */
    @Excel(name = "培训频率")
    private String frequency;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setStartDate(Date startDate)
    {
        this.startDate = startDate;
    }

    public Date getStartDate()
    {
        return startDate;
    }
    public void setEndDate(Date endDate)
    {
        this.endDate = endDate;
    }

    public Date getEndDate()
    {
        return endDate;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Double getOperationScore() {
        return operationScore;
    }

    public void setOperationScore(Double operationScore) {
        this.operationScore = operationScore;
    }

    public void setTrainingPlace(String trainingPlace)
    {
        this.trainingPlace = trainingPlace;
    }

    public String getTrainingPlace()
    {
        return trainingPlace;
    }
    public void setTrainingDuration(String trainingDuration)
    {
        this.trainingDuration = trainingDuration;
    }

    public String getTrainingDuration()
    {
        return trainingDuration;
    }
    public void setTrainingCost(String trainingCost)
    {
        this.trainingCost = trainingCost;
    }

    public String getTrainingCost()
    {
        return trainingCost;
    }
    public void setBudget(String budget)
    {
        this.budget = budget;
    }

    public String getBudget()
    {
        return budget;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public String getCompanyItem() { return companyItem; }

    public void setCompanyItem(String companyItem) { this.companyItem = companyItem; }
    public void setCourseCode(String courseCode)
    {
        this.courseCode = courseCode;
    }

    public String getCourseCode()
    {
        return courseCode;
    }
    public void setFrequency(String frequency) { this.frequency = frequency; }

    public String getFrequency() { return frequency; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("staffId", getStaffId())
            .append("companyId", getCompanyId())
            .append("startDate", getStartDate())
            .append("endDate", getEndDate())
            .append("score", getScore())
            .append("operationScore", getOperationScore())
            .append("trainingPlace", getTrainingPlace())
            .append("trainingDuration", getTrainingDuration())
            .append("trainingCost", getTrainingCost())
            .append("budget", getBudget())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .toString();
    }
}
